/// <reference types="node" />
import { Transform } from 'stream';
import { ObjectTransform, ObjectStreamOptions } from '.';
/**
 * Utility function to create {@link Transform} stream. It handles error to propagate them.
 *
 * @param objectTransform {@link ObjectTransform} representing the transformation to apply.
 * @param options options to create the {@link Transform} stream.
 * @return the created {@link Transform} stream.
 */
export declare function createTransform<T, R>(objectTransform: ObjectTransform<T, R>, options?: ObjectStreamOptions): Transform;
